package cn.ezhizao.project.business.workOrder.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.workOrder.domain.BizWorkOrder;
import org.apache.ibatis.annotations.Param;

/**
 * 工单信息Mapper接口
 *
 * @author ruoyi
 * @date 2023-10-16
 */
public interface BizWorkOrderMapper extends BaseMapper<BizWorkOrder>
{
    /**
     * 查询工单信息列表
     *
     * @param bizWorkOrder 工单信息
     * @return 工单信息集合
     */
    public List<BizWorkOrder> getList(BizWorkOrder bizWorkOrder);

    /**
     * 首页查询工单信息列表
     *
     * @param bizWorkOrder 工单信息
     * @return 工单信息集合
     */
    public List<BizWorkOrder> getIndexList(BizWorkOrder bizWorkOrder);

    /**
     * 物理删除
     * @param bizWorkOrder
     * @return 删除结果
    */
    public int physicalDelete(BizWorkOrder bizWorkOrder);

    public int insertTasks(List<Map<String, Object>> tableValues);

    public int addReportTask(Long companyId, List<Map<String, Object>> tableValues);

    public int addHousingFund(Long companyId, List<Map<String, Object>> tableValues);

    public int addSocialSecurity(Long companyId, List<Map<String, Object>> tableValues);

    public int stopTasks(List<Map<String, Object>> tableValues);
    public int stopLoopTasks(List<Map<String, Object>> tableValues);
    int setContinue(List<Long> ids, Integer state);
    public void updateByTenantId(@Param("tenantId") Long tenantId);
    List<BizWorkOrder> getList2(BizWorkOrder bizWorkOrder);
    void updateByWorkOrderId(List<Long> ids);
}
